## debian-installer 20101020ubuntu399

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define mkfs.ufs1
  sh -c 'makefs -t ffs -s 42m -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find . -type f ! -name \*SUMS` > MD5SUMS
	cd $(BASE_DEST) && sha1sum `find . -type f ! -name \*SUMS` > SHA1SUMS
	cd $(BASE_DEST) && sha256sum `find . -type f ! -name \*SUMS` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	ln -nsf . $(DPKGDIR)/info/$(shell dpkg --print-architecture)
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

=== debian/changelog ===
debian-installer (20101020ubuntu399) wily; urgency=medium

  * Rebuild to pick up new localechooser and console-setup.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Oct 2015 16:16:31 +0100

debian-installer (20101020ubuntu398) wily; urgency=medium

  * Rebuild to pick up new localechooser and console-setup.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 Oct 2015 15:17:18 +0100

debian-installer (20101020ubuntu397) wily; urgency=medium

  * Move master kernels to 4.2.0-16.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 09 Oct 2015 06:49:13 -0600

debian-installer (20101020ubuntu396) wily; urgency=medium

  * Move master kernels to 4.2.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 07 Oct 2015 18:34:29 -0600

debian-installer (20101020ubuntu395) wily; urgency=medium

  * Move master kernels to 4.2.0-14.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 03 Oct 2015 15:35:38 -0600

debian-installer (20101020ubuntu394) wily; urgency=medium

  * Move master kernels to 4.2.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 29 Sep 2015 14:50:31 -0600

debian-installer (20101020ubuntu393) wily; urgency=medium

  * build/pkg-lists/base: drop biosdevname. The standard binary is now in
    universe so not typically installed on systems, and it otherwise conflicts
    with the interface naming from systemd/udev. (LP: #1498595)
  * Move master kernels to 4.2.0-11.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Sep 2015 14:36:33 -0400

debian-installer (20101020ubuntu392) wily; urgency=medium

  * Move master kernels to 4.2.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Sep 2015 10:09:23 -0600

debian-installer (20101020ubuntu391) wily; urgency=medium

  [ dann frazier ]
  * Make nic-usb-modules optional on arm64/netboot.

  [ Adam Conrad ]
  * Move master kernels to 4.2.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 Sep 2015 14:50:35 -0600

debian-installer (20101020ubuntu390) wily; urgency=medium

  * Move master kernels to 4.1.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 28 Jul 2015 17:28:38 -0600

debian-installer (20101020ubuntu389) wily; urgency=medium

  * Move master kernels to 4.1.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Jul 2015 22:59:36 -0600

debian-installer (20101020ubuntu388) wily; urgency=medium

  * Move master kernels to 4.1.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Jul 2015 19:16:01 -0600

debian-installer (20101020ubuntu387) wily; urgency=medium

  * No-change rebuild to pull in the latest udev-udeb (LP: #1473542)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Jul 2015 14:12:32 -0600

debian-installer (20101020ubuntu386) wily; urgency=medium

  * Bump powerpc netboot images by 2MB for new firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 Jul 2015 17:45:26 -0600

debian-installer (20101020ubuntu385) wily; urgency=medium

  * Move master kernels to 4.0.0-4.
  * Bump x86 netboot image sizes by 1MB.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 17 Jun 2015 09:45:49 -0600

debian-installer (20101020ubuntu384) wily; urgency=medium

  * Move master kernels to 3.19.0-22.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 18 Jun 2015 14:11:18 -0600

debian-installer (20101020ubuntu383) wily; urgency=medium

  * Move master kernels to 3.19.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 Jun 2015 22:09:38 -0600

debian-installer (20101020ubuntu382) wily; urgency=medium

  * s/u-boot.bin/u-boot.img/ for OMAP targets, following u-boot packaging.
  * Rename wandboard-quad target to wandboard and convert it to using SPL.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 31 May 2015 11:06:12 -0600

debian-installer (20101020ubuntu381) wily; urgency=medium

  * Move master kernels to 3.19.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 29 May 2015 14:40:33 -0600

debian-installer (20101020ubuntu380) wily; urgency=medium

  * Move master kernels to 3.19.0-18.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 May 2015 22:48:34 -0600

debian-installer (20101020ubuntu379) wily; urgency=medium

  [ dann frazier ]
  * arm64: Use mklibs instead of cargo-culting mklibs-copy. This
    currently reduces the initrd.gz by just under 1M and drops
    an unnecessary delta against Debian.
  * arm64: kernel and System.map aren't versioned, correct config.
    No functional change.
  * arm64: Stop calling "generic" a subarchitecture
  * arm64: Rename netboot/xgene -> netboot/xgene-uboot
  * Add device-tree medium infrastructure (from Debian)
  * arm64: Enable device-tree medium
  * arm64/xgene-uboot: apm-mustang.dtb is now in the device-tree directory,
    so we can drop it from the xgene-uboot directory.
  * arm64: Create a netboot tarball
  * arm64: Add netboot mini.iso
  * arm64: Build cdrom medium
  * arm64/netboot: Add a grub/efi build for netboot
  * grub-gencfg: Use --- as linux separator

  [ Mathieu Trudel-Lapierre ]
  * Add kbd-udeb alongside console-setup-udeb; since the latter requires
    loadkeys and such to be available to properly apply keymap selection, so
    we key the right keymap in the installer. (LP: #1447802)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 14 May 2015 13:56:23 -0400

debian-installer (20101020ubuntu378) wily; urgency=medium

  * Move master kernels to 3.19.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 09 May 2015 01:51:04 -0600

debian-installer (20101020ubuntu377) wily; urgency=medium

  * Move master kernels to 3.19.0-16.
  * Switch from vivid to wily sources.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 May 2015 01:35:13 -0600

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.8.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], module-init-tools [i386 arm64 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64el s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 7.0.0)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- ubuntu-keyring
#		To provide the archive key for security checks.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xml
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.25)
#		We use mklibs for library reduction.
#	- genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc sparc64]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#		armel/armhf uses it for omap3/4 netboot images and requires
#		3.0.9-1ubuntu2 to create bootable filesystems on OMAP
#	- cpio
#		For creating initramfs images.
#	- devio [armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- parted [armel armhf]
#		For ARM OMAP images.
#	- slugimage (>= 0.10+r58-6) [armeb armel]
#		For building nslu2 firmware images.
#	- u-boot-tools [arm64 armel armhf]
#		For creating u-boot images
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 3:6) [i386 amd64]
#	- syslinux-utils (>= 3:6) [i386 amd64]
#	- pxelinux (>= 3:6) [i386 amd64]
#	- isolinux (>= 3:6) [i386 amd64]
#	- syslinux-common (>= 3:6) [i386 amd64]
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc sparc64]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo [mipsel]
#		For booting Cobalt machines.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- u-boot [armel armhf]
#		First and second state bootloaders for various ARM boards
#	- shim-signed [amd64]
#		First-stage bootloader for UEFI Secure Boot
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python3 (>= 3.1) [i386 amd64]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 arm64 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64el s390 sh4 sparc sparc64]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
#	- makefs [kfreebsd-i386 kfreebsd-amd64]
#		Used to create an UFS1 filesystem from a directory tree.
#	- grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		Used as the CD-ROM's bootloader
#       - xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el]
#               Used by grub-pc/grub-ieee1275-bin to create the CD-ROM images
#	- grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64]
#		EFI bootloader support.
#	- grub-common [amd64 arm64]
#		For the GRUB font.
#	- debian-ports-archive-keyring [sh4 sparc64]
#		Used for architectures hosted on debian-ports.org
#	- grub-ieee1275-bin [ppc64el]
#		IEEE1275 bootloader support.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

Package: debian-installer-udebs
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${udeb:Depends}
Description: Metapackage depending on debian-installer's built-in udebs
 This package depends on the set of udebs that the current debian-installer
 build was built against, for easier version and migration tracking.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=wily
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=$(SUITE)
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

export NO_PNG_PKG_MANGLE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms

	# Only depend on the packages, not versions, at least for now:
	echo -n "udeb:Depends=" >> debian/debian-installer-udebs.substvars
	while read p v a; do \
		echo -n "$$p, " >> debian/debian-installer-udebs.substvars; \
	done < build/dest/udeb.list
	echo "" >> debian/debian-installer-udebs.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20101020ubuntu451

=== debian/changelog ===
debian-installer (20101020ubuntu451) xenial; urgency=medium

  * Don't drop non-English language support for s390x (LP: #1541195).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2016 14:41:56 +0100

debian-installer (20101020ubuntu450) xenial; urgency=medium

  * Move master kernels to 4.4.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Apr 2016 09:37:00 -0600

debian-installer (20101020ubuntu449) xenial; urgency=medium

  * Move master kernels to 4.4.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Apr 2016 16:12:37 -0600

debian-installer (20101020ubuntu448) xenial; urgency=medium

  * Cherry-pick changes from Debian for the removal of libnss-*-udeb:
    - Switch to using mklibs-copy for the reduction on all arches.
    - Drop the build-dependency on glibc-pic, unneeded for above.
    - Stop excluding libc-udeb to avoid dropping libnss libraries
      and to avoid a useless download of libc-udeb during install.
    - Drop references to libnss-*-udeb, now provided by libc-udeb.
    - Drop extra armhf linker, libc-udeb provides the same symlink.
  * Bump FLOPPY_SIZE by 1MB on all arches to make room for the above.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Apr 2016 12:12:07 -0600

debian-installer (20101020ubuntu447) xenial; urgency=medium

  * Rebuild with updated udebs for s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Apr 2016 13:05:52 +0100

debian-installer (20101020ubuntu446) xenial; urgency=medium

  * Move master kernels to 4.4.0-18.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 08 Apr 2016 08:57:06 -0600

debian-installer (20101020ubuntu445) xenial; urgency=medium

  * Add necessory files to enable FTP Load / IPL on s390x, ported from
    debian-cd.
  * Drop s390-dasd, is now pulled in via hw-detect /
    harddrive-detection-dasd.
  * Rebuild with ipv6 capable network-console. LP: #1552368

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Apr 2016 09:51:35 +0100

debian-installer (20101020ubuntu444) xenial; urgency=medium

  * Rebuild to pick up new netcfg LP: #1541955
  * Move master kernels to 4.4.0-17.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Mar 2016 23:41:23 +0100

debian-installer (20101020ubuntu443) xenial; urgency=medium

  * Make amd64 image 3MB larger than i386, as before.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 26 Mar 2016 19:59:52 -0600

debian-installer (20101020ubuntu442) xenial; urgency=medium

  * Move master kernels to 4.4.0-16.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 26 Mar 2016 19:07:59 -0600

debian-installer (20101020ubuntu441) xenial; urgency=medium

  * No-change rebuild to pull in the latest glibc binaries.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Mar 2016 22:11:48 -0600

debian-installer (20101020ubuntu440) xenial; urgency=medium

  * Bump powerpc image size yet again, because chubby kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Mar 2016 22:58:42 -0600

debian-installer (20101020ubuntu439) xenial; urgency=medium

  * Bump powerpc image size to 40M to match the x86 sizes.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Mar 2016 22:39:19 -0600

debian-installer (20101020ubuntu438) xenial; urgency=medium

  * Rebuild against current linux-firmware and glibc 2.23.
  * Bump x86 image size to 40M to accomodate new firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Mar 2016 21:49:14 -0600

debian-installer (20101020ubuntu437) xenial; urgency=low

  * Move master kernels to 4.4.0-15.

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 20 Mar 2016 11:16:56 +0000

debian-installer (20101020ubuntu436) xenial; urgency=medium

  * No-change rebuild to pull in the latest isc-dhcp and bind9 udebs.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 18 Mar 2016 18:42:07 -0600

debian-installer (20101020ubuntu435) xenial; urgency=medium

  * Increase amd64 netboot size by 1MB.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Mar 2016 19:25:57 +0000

debian-installer (20101020ubuntu434) xenial; urgency=medium

  * Move master kernels to 4.4.0-14.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Mar 2016 18:46:45 +0000

debian-installer (20101020ubuntu433) xenial; urgency=medium

  * Move master kernels to 4.4.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 13 Mar 2016 05:38:39 -0600

debian-installer (20101020ubuntu432) xenial; urgency=medium

  * Move master kernels to 4.4.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Mar 2016 10:12:25 -0700

debian-installer (20101020ubuntu431) xenial; urgency=medium

  * Move master kernels to 4.4.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 07 Mar 2016 17:46:29 -0700

debian-installer (20101020ubuntu430) xenial; urgency=medium

  * Move master kernels to 4.4.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 03 Mar 2016 16:38:41 -0700

debian-installer (20101020ubuntu429) xenial; urgency=medium

  * Move master kernels to 4.4.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 01 Mar 2016 10:45:08 -0700

debian-installer (20101020ubuntu428) xenial; urgency=medium

  * Rebuild with preseed package that accepts IPv6 urls. LP: #1547629.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Feb 2016 14:57:05 +0000

debian-installer (20101020ubuntu427) xenial; urgency=medium

  * Move master kernels to 4.4.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 25 Feb 2016 12:53:45 -0700

debian-installer (20101020ubuntu426) xenial; urgency=medium

  * Increase amd64 netboot image size by 1MB.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2016 19:36:56 +0100

debian-installer (20101020ubuntu425) xenial; urgency=medium

  * Complete switch from module-init-tools to kmod by altering build-deps.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Feb 2016 09:57:37 -0700

debian-installer (20101020ubuntu424) xenial; urgency=medium

  * Move master kernels to 4.4.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Feb 2016 04:35:51 -0700

debian-installer (20101020ubuntu423) xenial; urgency=medium

  * Move master kernels to 4.4.0-6.



=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], module-init-tools [i386 arm64 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64el s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
+Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], kmod [linux-any], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -46,8 +46,6 @@
 #		Provides system version information.
 #	
 # Library build dependencies:
-#	- glibc-pic
-#		For library reduction.
 #	- libslang2-pic (>= 2.0.6-4)
 #		Make dependency versioned temporarily to make sure we avoid #392942
 #	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
@@ -73,7 +71,7 @@
 #		them.
 #		Lintian: Yes, we know it's essential. We prefer not to
 #		count on it remaining so.
-#	- mklibs (>= 0.1.25)
+#	- mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40)
 #		We use mklibs for library reduction.
 #	- genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x]
 #		For making mini isos.
@@ -158,7 +156,7 @@
 #	- python3 (>= 3.1) [i386 amd64]
 #		For building gfxboot help texts.
 #
-#	- module-init-tools [i386 arm64 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64el s390 sh4 sparc sparc64]
+#	- kmod [linux-any]
 #		depmod for 2.6 kernels on the arches that support 2.6.
 #
 #	- bf-utf-source [!s390 !s390x]

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=wily
+USE_UDEBS_FROM=xenial
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else

## debian-installer 20101020ubuntu451.28

=== debian/changelog ===
debian-installer (20101020ubuntu451.28) xenial; urgency=medium

  * Move master kernels to 4.4.0-142.
  * Move hwe kernels to 4.15.0-45.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Feb 2019 06:18:36 -0700

debian-installer (20101020ubuntu451.27) xenial; urgency=medium

  * build/pkg-lists/base: add ca-certificates-udeb to enable HTTPS
    without d-i/allow_unauthenticated_ssl in stock initramfs image
    as in Debian. (LP: #1807023)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 26 Nov 2018 16:49:46 -0200

debian-installer (20101020ubuntu451.26) xenial; urgency=medium

  * Rebuild against new systemd for the 4.4 kernel regression fix (LP: #1784454)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 30 Jul 2018 22:26:39 +0200

debian-installer (20101020ubuntu451.25) xenial; urgency=medium

  * Bump FLOPPY_SIZE on amd64, i386 and powerpc for linux-firmware growth.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 27 Jul 2018 10:38:40 +0200

debian-installer (20101020ubuntu451.24) xenial; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Move master kernels to 4.4.0-131.
  * Move hwe kernels to 4.15.0-29.
  * Rebuild against new systemd for SCSI sync (LP: #1779815)
  * build/config/amd64/hwe-*.cfg, build/config/ppc64el/hwe-*.cfg:
    - Strip off .efi.signed for signed hwe kernels.

  [ Adam Conrad ]
  * Fix permissions on the netboot.tar kernel (LP: #1781036)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 25 Jul 2018 14:58:18 +0200

debian-installer (20101020ubuntu451.23) xenial; urgency=medium

  * No change rebuild to pick up the hw-detect changes (LP: #1555904).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 28 Feb 2018 14:54:36 +0100

debian-installer (20101020ubuntu451.22) xenial; urgency=medium

  [ dann frazier ]
  * arm64-efi/netboot: Improvements to mini.iso generation:
    - Add an EFI System Partition to fix booting from USB stick on
      same platforms LP: #1692876.
    - Remove no-op arguments -boot-load-size and -boot-info-table.
    - Use simpler "-e" instead of "--efi-boot" since we only have 1
      el torito image.
    - Add -partition_offset 16 so that the output of commands like
      'isosize' is correct.
  * netboot/arm64: Include nic-firmware. LP: #1743638.

  [ Łukasz 'sil2100' Zemczak ]
  * Bump FLOPPY_SIZE on amd64, i386, and powerpc for kernel growth.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 21 Feb 2018 10:43:54 +0100

debian-installer (20101020ubuntu451.21) xenial; urgency=medium

  * Move hwe kernels to 4.13.0-36.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 20 Feb 2018 09:30:34 +0100

debian-installer (20101020ubuntu451.20) xenial; urgency=medium

  * Move master kernels to 4.4.0-116.
  * Move hwe kernels to 4.13.0-35.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 15 Feb 2018 18:02:24 +0100

debian-installer (20101020ubuntu451.19) xenial; urgency=medium

  * No change rebuild to pick up the latest change in preseed (LP: #1745531) 

 -- Zhang Hua <joshua.zhang@canonical.com>  Tue, 16 Jan 2018 21:58:04 +0800

debian-installer (20101020ubuntu451.18) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.15 patched for EFI timers
    fixes. (LP: #1734278)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 19 Dec 2017 12:50:48 -0500

debian-installer (20101020ubuntu451.17) xenial; urgency=medium

  * Bump FLOPPY_SIZE on amd64, i386, and powerpc for linux-firmware growth.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 18 Nov 2017 12:39:17 -0700

debian-installer (20101020ubuntu451.16) xenial; urgency=medium

  [ Steve Langasek ]
  * Adjust the Vcs-Bzr target for SRUs.

  [ Adam Conrad ]
  * Move master kernels to 4.4.0-101.
  * Move hwe kernels to 4.10.0-40.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 18 Nov 2017 12:16:40 -0700

debian-installer (20101020ubuntu451.15) xenial; urgency=medium

  * Move master kernels to 4.4.0-96.
  * Move hwe kernels to 4.10.0-35.  LP: #1715101.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Sep 2017 09:55:21 -0700

debian-installer (20101020ubuntu451.14) xenial; urgency=medium

  * Move master kernels to 4.4.0-87.
  * Move hwe kernels to 4.10.0-28.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Jul 2017 12:51:42 -0600

debian-installer (20101020ubuntu451.13) xenial; urgency=medium

  * Rebuild with updated systemd package:
    - Use predictable names for non-PCI platform NICs. LP: #1705137

 -- dann frazier <dannf@ubuntu.com>  Wed, 19 Jul 2017 09:08:54 -0600

debian-installer (20101020ubuntu451.12) xenial; urgency=medium

  * build/util/efi-image: Fix up FAT filesystem size calculation:
    - Call mkfs.msdos with -v so we can trace what it's doing.
    - We appear to need 32k headroom, not 24k; this was masked
      by rounding errors and blind luck until grub grew 1.5kB.
    - Break out the magic headroom number into 32+31 to match
      the comment and make the arithmetic more obvious to read.
    - Round file sizes up, not down, so we don't break in future.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 30 Jun 2017 01:58:12 -0600

debian-installer (20101020ubuntu451.11) xenial; urgency=medium

  * Move master kernels to 4.4.0-83.
  * Move hwe kernels to 4.10.0-27.
  * Bump FLOPPY_SIZE on x86 slightly.
  * Include $efi_name in shim filename.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Apr 2017 08:21:07 -0600

debian-installer (20101020ubuntu451.10) xenial; urgency=medium

  [ dann frazier ]
  * arm64/xgene-uboot: Set the correct compression flag when generating
    a uImage of a gzip'd kernel. LP: #1384955.
  * Tell GRUB to load the gzio module on arm64 now that we're booting
    a compressed kernel. LP: #1632473.

  [ Adam Conrad ]
  * Add HWE variants for all architectures except powerpc (LP: #1662712)
  * Move master kernels to 4.4.0-62.
  * Rebuild to pick up new components (LP: #1572620, #1558271)
